package com.ruoyi.web.modules.mall.domain;

import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 商城设置 biz_mall_config
 */
public class BizMallConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long configId;

    private String icpNo;

    private String icpLink;

    private String psbNo;

    private String psbLink;

    private String currencySymbol;

    private String currencyNameCn;

    private String goodsSnPrefix;

    private String showSales;

    private Integer autoConfirmDays;

    private Integer aftersaleLimitDays;

    private String defaultAvatar;

    public Long getConfigId()
    {
        return configId;
    }

    public void setConfigId(Long configId)
    {
        this.configId = configId;
    }

    public String getIcpNo()
    {
        return icpNo;
    }

    public void setIcpNo(String icpNo)
    {
        this.icpNo = icpNo;
    }

    public String getIcpLink()
    {
        return icpLink;
    }

    public void setIcpLink(String icpLink)
    {
        this.icpLink = icpLink;
    }

    public String getPsbNo()
    {
        return psbNo;
    }

    public void setPsbNo(String psbNo)
    {
        this.psbNo = psbNo;
    }

    public String getPsbLink()
    {
        return psbLink;
    }

    public void setPsbLink(String psbLink)
    {
        this.psbLink = psbLink;
    }

    public String getCurrencySymbol()
    {
        return currencySymbol;
    }

    public void setCurrencySymbol(String currencySymbol)
    {
        this.currencySymbol = currencySymbol;
    }

    public String getCurrencyNameCn()
    {
        return currencyNameCn;
    }

    public void setCurrencyNameCn(String currencyNameCn)
    {
        this.currencyNameCn = currencyNameCn;
    }

    public String getGoodsSnPrefix()
    {
        return goodsSnPrefix;
    }

    public void setGoodsSnPrefix(String goodsSnPrefix)
    {
        this.goodsSnPrefix = goodsSnPrefix;
    }

    public String getShowSales()
    {
        return showSales;
    }

    public void setShowSales(String showSales)
    {
        this.showSales = showSales;
    }

    public Integer getAutoConfirmDays()
    {
        return autoConfirmDays;
    }

    public void setAutoConfirmDays(Integer autoConfirmDays)
    {
        this.autoConfirmDays = autoConfirmDays;
    }

    public Integer getAftersaleLimitDays()
    {
        return aftersaleLimitDays;
    }

    public void setAftersaleLimitDays(Integer aftersaleLimitDays)
    {
        this.aftersaleLimitDays = aftersaleLimitDays;
    }

    public String getDefaultAvatar()
    {
        return defaultAvatar;
    }

    public void setDefaultAvatar(String defaultAvatar)
    {
        this.defaultAvatar = defaultAvatar;
    }
}
